<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes" encoding="utf-8"
     omit-xml-declaration="yes" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
  />

  <xsl:template match="/"><!--Шаблон, применяемый к корневому элементу ("/")-->
    <html xmlns="http://www.w3.org/1999/xhtml"><!--Элементы, не начинающиеся с префикса 'xsl:' или других специальных префиксов, попадают прямо в содержимое конечного файла -->
      <head><!--В них используется обычный HTML -->
        <link rel="stylesheet" type="text/css" href="biblio.css"/>
      </head>
      <body>
        <h1>A Sample Bibliography</h1>
        <xsl:apply-templates select="*"/><!--Инструкция XSL: Вызов шаблонов для всех дочерних элементов корня-->
      </body>
    </html>
  </xsl:template>

  <xsl:template match="book"><!--Этот шаблон применяется к элементам 'book'-->
    <h2>A book</h2><!--Ссылка на каждую книгу будет начинаться с заголовка <h2>A book</h2>-->
    <xsl:apply-templates select="*"/><!--Вызываем шаблоны для "детей" элемента 'book'-->
  </xsl:template>

  <xsl:template match="//book/*"><!--Этот шаблон применяется ко всем "детям" элемента "book"-->
    <p><!--Каждый дочерний элемент начинаем с нового абзаца-->
      <font color="blue">
        <xsl:value-of select="."/><!--Эта инструкция вписывает в конечный файл текстовое содержимое текущего (.) элемента-->
      </font>
    </p>
  </xsl:template>

  <xsl:template match="article"><!--Этот шаблон применяется к элементам "article"-->
    <h2>An article in a book</h2>
    <xsl:apply-templates select="*"/>
  </xsl:template>

  <xsl:template match="//article/*"><!--Этот шаблон применяется ко всем "детям" элемента "article"-->
    <p>
      <font color="green">
        <xsl:value-of select="."/>
      </font>
    </p>
  </xsl:template>
</xsl:stylesheet>